## org.apache.mahout.classifier.df.split
Class OptIgSplit

    java.lang.Object
      org.apache.mahout.classifier.df.split.IgSplit
          org.apache.mahout.classifier.df.split.OptIgSplit

    public class OptIgSplit

extends IgSplit

Optimized implementation of IgSplit
This class can be used when the criterion variable is the categorical attribute.

Constructor Summary
`OptIgSplit()`

Method Summary
`Split` `computeSplit(Data data, int attr)` Computes the best split for the given attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptIgSplit

    public OptIgSplit()

Method Detail

### computeSplit

    public Split computeSplit(Data data,
                              int attr)

  Description copied from class: `IgSplit`
  Computes the best split for the given attribute

  Specified by:
    `computeSplit` in class `IgSplit`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.